# Annotation Interface NoReference

@Documented @Target({TYPE,METHOD,CONSTRUCTOR,FIELD}) @Retention(CLASS) public @interface NoReference
Classes, interfaces, annotations, enums, methods and fields tagged with this annotation are declaring they are not to be referenced at all by clients. For example a method tagged with this annotation should not be called by clients. If this annotation appears anywhere other than classes, interfaces, annotations, enums, methods and fields it will be ignored.

Since:
  1.0

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`value`
A message to provide contextual information to clients about why this annotations is applied.

## Element Details

### value

String value
A message to provide contextual information to clients about why this annotations is applied.

Since:
  1.3

Default:
  `"This element is not intended to be referenced by clients."`